| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
MinimalEnumeratedHeader Class Reference
eProsima Fast DDS API Reference » DDS Public API » DDS TypeObject API

This class represents the structure MinimalEnumeratedHeader defined by the user in the IDL file. More...

`#include <dds_xtypes_typeobject.hpp>`

## Public Member Functions

eProsima_user_DllExport | MinimalEnumeratedHeader ()
| Default constructor.
eProsima_user_DllExport | ~MinimalEnumeratedHeader ()
| Default destructor.
eProsima_user_DllExport | MinimalEnumeratedHeader (const MinimalEnumeratedHeader &x)
| Copy constructor.
eProsima_user_DllExport | MinimalEnumeratedHeader (MinimalEnumeratedHeader &&x) noexcept
| Move constructor.
eProsima_user_DllExport MinimalEnumeratedHeader & | operator= (const MinimalEnumeratedHeader &x)
| Copy assignment.
eProsima_user_DllExport MinimalEnumeratedHeader & | operator= (MinimalEnumeratedHeader &&x) noexcept
| Move assignment.
eProsima_user_DllExport bool | operator== (const MinimalEnumeratedHeader &x) const
| Comparison operator.
eProsima_user_DllExport bool | operator!= (const MinimalEnumeratedHeader &x) const
| Comparison operator.
eProsima_user_DllExport void | common (const CommonEnumeratedHeader &_common)
| This function copies the value in member common.
eProsima_user_DllExport void | common (CommonEnumeratedHeader &&_common)
| This function moves the value in member common.
eProsima_user_DllExport const CommonEnumeratedHeader & | common () const
| This function returns a constant reference to member common.
eProsima_user_DllExport CommonEnumeratedHeader & | common ()
| This function returns a reference to member common.

## Detailed Description

This class represents the structure MinimalEnumeratedHeader defined by the user in the IDL file.

## Constructor & Destructor Documentation

## ◆ MinimalEnumeratedHeader() [1/3]

eProsima_user_DllExport MinimalEnumeratedHeader | ( |  | ) |

inline

Default constructor.

## ◆ ~MinimalEnumeratedHeader()

eProsima_user_DllExport ~MinimalEnumeratedHeader | ( |  | ) |

inline

Default destructor.

## ◆ MinimalEnumeratedHeader() [2/3]

eProsima_user_DllExport MinimalEnumeratedHeader | ( | const MinimalEnumeratedHeader & | x | ) |

inline

Copy constructor.

Parameters

  x | Reference to the object MinimalEnumeratedHeader that will be copied.

## ◆ MinimalEnumeratedHeader() [3/3]

eProsima_user_DllExport MinimalEnumeratedHeader | ( | MinimalEnumeratedHeader && | x | ) |

inline noexcept

Move constructor.

Parameters

  x | Reference to the object MinimalEnumeratedHeader that will be copied.

## Member Function Documentation

## ◆ common() [1/4]

eProsima_user_DllExport CommonEnumeratedHeader & common | ( |  | ) |

inline

This function returns a reference to member common.

Returns
  Reference to member common

## ◆ common() [2/4]

eProsima_user_DllExport const CommonEnumeratedHeader & common | ( |  | ) | const

inline

This function returns a constant reference to member common.

Returns
  Constant reference to member common

## ◆ common() [3/4]

eProsima_user_DllExport void common | ( | CommonEnumeratedHeader && | _common | ) |

inline

This function moves the value in member common.

Parameters

  _common | New value to be moved in member common

## ◆ common() [4/4]

eProsima_user_DllExport void common | ( | const CommonEnumeratedHeader & | _common | ) |

inline

This function copies the value in member common.

Parameters

  _common | New value to be copied in member common

## ◆ operator!=()

eProsima_user_DllExport bool operator!= | ( | const MinimalEnumeratedHeader & | x | ) | const

inline

Comparison operator.

Parameters

  x | MinimalEnumeratedHeader object to compare.

## ◆ operator=() [1/2]

eProsima_user_DllExport MinimalEnumeratedHeader & operator= | ( | const MinimalEnumeratedHeader & | x | ) |

inline

Copy assignment.

Parameters

  x | Reference to the object MinimalEnumeratedHeader that will be copied.

## ◆ operator=() [2/2]

eProsima_user_DllExport MinimalEnumeratedHeader & operator= | ( | MinimalEnumeratedHeader && | x | ) |

inline noexcept

Move assignment.

Parameters

  x | Reference to the object MinimalEnumeratedHeader that will be copied.

## ◆ operator==()

eProsima_user_DllExport bool operator== | ( | const MinimalEnumeratedHeader & | x | ) | const

inline

Comparison operator.

Parameters

  x | MinimalEnumeratedHeader object to compare.

The documentation for this class was generated from the following file:

- include/fastdds/dds/xtypes/type_representation/detail/dds_xtypes_typeobject.hpp